com.fasterxml.jackson.annotation

## Annotation Type JsonSetter

    @Target(value={ANNOTATION_TYPE,FIELD,METHOD,PARAMETER})
     @Retention(value=RUNTIME)
    public @interface JsonSetter

Annotation that can be used to define a non-static, single-argument method to be used as a "setter" for a logical property as an alternative to recommended `JsonProperty` annotation; or (as of 2.9 and later), specify additional aspects of the assigning property a value during serialization.

### Optional Element Summary

Optional Elements
`Nulls` `contentNulls` Specifies action to take when input to match into content value (of a `Collection`, `Map`, array, or referential value) contains explicit `null` value (if format has one) to bind.
`Nulls` `nulls` Specifies action to take when input contains explicit `null` value (if format has one).
`String` `value` Optional default argument that defines logical property this method is used to modify ("set"); this is the property name used in JSON content.

### Element Detail

#### value

    public abstract String value

Optional default argument that defines logical property this method is used to modify ("set"); this is the property name used in JSON content.

Default:
  ""

#### nulls

    public abstract Nulls nulls

Specifies action to take when input contains explicit `null` value (if format has one). Default action, in absence of any explicit configuration, is usually `Nulls.SET`, meaning that the `null` is set as value using setter.

NOTE: is not usually used in case property value is missing, unless data format specifies that there is defaulting which would result in an explicit null assignment.

Default:
  com.fasterxml.jackson.annotation.Nulls.DEFAULT

#### contentNulls

    public abstract Nulls contentNulls

Specifies action to take when input to match into content value (of a `Collection`, `Map`, array, or referential value) contains explicit `null` value (if format has one) to bind. Default action, in absence of any explicit configuration, is usually `Nulls.SET`, meaning that the `null` is included as usual.

Default:
  com.fasterxml.jackson.annotation.Nulls.DEFAULT